<?php
/**
 * @file
 * Contains \Drupal\role_notices\Controller\RoleNoticesController.
 */

namespace Drupal\role_notices\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Class RoleNoticesController.
 *
 * @package Drupal\role_notices\Controller
 *
 * We extend ControllerBase because this is a thin controller.
 * It does not contain much logic.
 *
 * @see \Drupal\Core\Controller\ControllerBase
 */
class RoleNoticesController extends ControllerBase {
  /**
   * Page callback for '/role_notices'.
   *
   * This route is not connected to a menu item.
   * You have to go to /role_notices to test.
   *
   * Drupal 7 docs on render arrays
   *
   * @link https://drupal.org/node/930760
   * This connected to the path via the *.routing.yml
   *
   * @return array
   *   Render array
   */
  public function page() {
    $build = array(
      '#type' => 'markup',
      '#markup' => t('Hello World!'),
    );
    return $build;
  }

}
